/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.svnconf.valueobject;

/**
 * blancoSvnConfのなかで利用されるValueObjectです。
 */
public class BlancoSvnConfUserStructure {
    /**
     * 項目番号
     *
     * フィールド: [no]。
     */
    private String fNo;

    /**
     * 利用者ID
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * 権限 (r または rw)
     *
     * フィールド: [auth]。
     */
    private String fAuth;

    /**
     * 説明
     *
     * フィールド: [description]。
     */
    private String fDescription;

    /**
     * フィールド [no] の値を設定します。
     *
     * フィールドの説明: [項目番号]。
     *
     * @param argNo フィールド[no]に設定する値。
     */
    public void setNo(final String argNo) {
        fNo = argNo;
    }

    /**
     * フィールド [no] の値を取得します。
     *
     * フィールドの説明: [項目番号]。
     *
     * @return フィールド[no]から取得した値。
     */
    public String getNo() {
        return fNo;
    }

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [利用者ID]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [利用者ID]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [auth] の値を設定します。
     *
     * フィールドの説明: [権限 (r または rw)]。
     *
     * @param argAuth フィールド[auth]に設定する値。
     */
    public void setAuth(final String argAuth) {
        fAuth = argAuth;
    }

    /**
     * フィールド [auth] の値を取得します。
     *
     * フィールドの説明: [権限 (r または rw)]。
     *
     * @return フィールド[auth]から取得した値。
     */
    public String getAuth() {
        return fAuth;
    }

    /**
     * フィールド [description] の値を設定します。
     *
     * フィールドの説明: [説明]。
     *
     * @param argDescription フィールド[description]に設定する値。
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド [description] の値を取得します。
     *
     * フィールドの説明: [説明]。
     *
     * @return フィールド[description]から取得した値。
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.svnconf.valueobject.BlancoSvnConfUserStructure[");
        buf.append("no=" + fNo);
        buf.append(",name=" + fName);
        buf.append(",auth=" + fAuth);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
